### Name: EM-JumpDiffusion-package
### Title: Expectation-Maximization-Algorithm for Jump Diffusion Processes
### Aliases: EM-JumpDiffusion-package EM-JumpDiffusion
### Keywords: package documentation

### ** Examples

        ## Will use every function in this package

        ## Data simulation
        theta <- c(0.2, 0.1, 0.05, -0.5, 0.7)
        X <- simulate(theta, 30) # simulates 30 log-returns and uses function rbern
        plot(X[,1],type="h",main="log returns",xlab="time",ylab="value")

        start<-c(0.3, -0.1, 0.1, 0.3, 1) # starting vector

        ## Parameter calculation
        calc <- EMjump(start, X[,1])

        ## Viterbi-algorithm calculation
        calcpath <- viterbi(calc, X[,1])
        
        ## Comparison of original path with calculated path
        scores(X[,2],calcpath)



